Skip to main content

Get CVE import progress

GET
/cve/import-progress/{id}

Current stage and overall progress percentage for the CVE package import.

Contract

Parameter
Value
Sectioncve
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesstringImport identifier

Responses

3 responses

Status
Description
Type
200
Import progressobject
401
Unauthorizedobject
404
Import not foundobject
  • {
      "error": "<string>",
      "fileName": "<string>",
      "id": "<string>",
      "pack": {
        "builtAt": "<string>",
        "createdAt": "<string>",
        "cvesDeleted": 0,
        "cvesImported": 0,
        "cvesSkipped": 0,
        "cvesTotal": 0,
        "cvesUpdated": 0,
        "fileName": "<string>",
        "id": 0,
        "issuerID": 0,
        "name": "<string>",
        "size": 0,
        "version": "<string>"
      },
      "processed": 0,
      "progress": 0,
      "stage": "<string>",
      "startedAt": "<string>",
      "status": "<string>",
      "total": 0,
      "updatedAt": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }